<?
session_start();

// Lee la plantilla
if($tipodoc=='MEM'){
$plantilla = file_get_contents('../plantillas/memo.rtf');
}
if($tipodoc=='CAR'){
$plantilla = file_get_contents('../plantillas/carta.rtf');
} 
if($tipodoc=='PAG'){
$plantilla = file_get_contents('../plantillas/pago.rtf');
}
if($tipodoc=='CTO'){
$plantilla = file_get_contents('../plantillas/contrato.rtf');
}
if(($tipodoc=='PRO') or ($tipodoc=='FOR')){
$plantilla = file_get_contents('../plantillas/profor.rtf');
}


// Agregamos los escapes necesarios
$plantilla = addslashes($plantilla);
$plantilla = str_replace('\r','\\r',$plantilla);
$plantilla = str_replace('\t','\\t',$plantilla);

// Datos de la plantilla

$codigodoc=$codigodoc;
$de=$de;
$para=$para;
$referencia=$referencia;
$fechahoy=$fechahoy;
$asunto=$asunto;
$personal=$personal;
$titulo=$titulo;
$fechactual=$fechactual;
$ruc=$ruc;
$monto=$monto;
$tipocomp=$tipocomp;
$numcomp=$numcomp;
$concepto=$concepto;
$solicita=$solicita;
$aprueba=$aprueba;
$cajachica=$cajachica;
$carta=$carta;
$chequeg=$chequeg;
$chequen=$chequen;
$transfacta=$transfacta;
$transfnomina=$transfnomina;
$banco=$banco;
$cuenta=$cuenta;
$tipomon=$tipomon;
$fechasol=$fechasol;

$cc1=$cc1;
$cc2=$cc2;
$cc3=$cc3;
$cc4=$cc4;
$cc5=$cc5;
$cc6=$cc6;
$cc7=$cc7;
$cc8=$cc8;
$mc1=$mc1;
$mc2=$mc2;
$mc3=$mc3;
$mc4=$mc4;
$mc5=$mc5;
$mc6=$mc6;
$mc7=$mc7;
$mc8=$mc8;
// de esta manera el codigo no envejece :P

// Procesa la plantilla
eval( '$rtf = <<<EOF_RTF
' . $plantilla . '
EOF_RTF;
' );

// Guarda el DOC generado
$archivito=$archivito;
file_put_contents("../archivos/$archivito",$rtf);

$path="../archivos"; 
$enlace = $path."/".$archivito; 
//$enlace = $archivito; 
header ("Content-Disposition: attachment; filename=".$archivito); 
header ("Content-Type: application/octet-stream"); 
header ("Content-Length: ".filesize($enlace)); 
readfile($enlace); 
?>